Foxit PDF SDK

Instance Methods | Properties | List of all members
FSFloatingInfo Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithFloating_info:
| Constructor, with another floating infomation object. More...
(void) | - set:relative_target:resize_type:has_close:has_title:title:off_screen:rect:
| Set values. More...

## Properties
BOOL | has_close
| YES means the floating window should have a close window control button, while NO means not.
BOOL | has_title
| YES means a title should be displayed in the title bar, while NO means not.
FSFloatingInfoOffScreenAction | off_screen
| Specify what action should be taken if the floating window is positioned totally or partially offscreen. Please refer to values starting from FSFloatingInfoOffScreenAllow and this should be one of these values.
FSRectF * | rect
| A rectangle specifies the location and size of the floating window in device coordinate system.
FSFloatingInfoRelativeTarget | relative_target
| Specify the target to which the floating window is to be aligned. Please refer to values starting from FSFloatingInfoRelativeTargetPageWindow and this should be one of these values.
FSFloatingInfoResizeType | resize_type
| Specify whether the floating window may be resized by the user. Please refer to values starting from FSFloatingInfoResizeTypeNo and this should be one of these values.
NSString * | title
| This title to be displayed if has_title is true.
FSFloatingInfoWindowPosition | window_pos
| Specify how the floating window is to be positioned relative to the window specified by the relative_target . Please refer to values starting from FSFloatingInfoWindowPositionTopLeft and this should be one of these values.

## Detailed Description

This class represents floating imformation.

## Method Documentation

## ◆ initWithFloating_info:()

- (id) initWithFloating_info: |  | (FSFloatingInfo*) | floating_info |

Constructor, with another floating infomation object.

Parameters

  [in] | floating_info | Another floating infomation object.

## ◆ set:relative_target:resize_type:has_close:has_title:title:off_screen:rect:()

- (void) set: |  | (FSFloatingInfoWindowPosition) | window_pos
relative_target: |  | (FSFloatingInfoRelativeTarget) | relative_target
resize_type: |  | (FSFloatingInfoResizeType) | resize_type
has_close: |  | (BOOL) | has_close
has_title: |  | (BOOL) | has_title
title: |  | (NSString *) | title
off_screen: |  | (FSFloatingInfoOffScreenAction) | off_screen
rect: |  | (FSRectF*) | rect

Set values.

Parameters

  [in] | window_pos | Specify how the floating window is to be positioned relative to the window specified by the relative_target .
  [in] | relative_target | Specify the window to which the floating window is to be aligned.
  [in] | resize_type | Specify whether the floating window may be resized by the user.
  [in] | has_close | YES means the floating window should have a close window control button, while NO means not.
  [in] | has_title | YES means a title should be displayed in the title bar, while NO means not.
  [in] | title | This title to be displayed if has_title is true.
  [in] | off_screen | Specify what action should be taken if the floating window is positioned totally or partially offscreen.
  [in] | rect | A rectangle specifies the location and size of the floating window in device coordinate system.

Returns
  None.